name: app  #宿主App命名空间
description: Flutter Room 临时项目

version: 1.0.0

environment:
  sdk: '>=3.0.2 <4.0.0'

dependencies:

  flutter_localizations:
    sdk: flutter

  flutter:
    sdk: flutter

  #基础组件的依赖
  domain:
    path: ../packages/cs_domain

  plugin_basic:
    path: ../packages/cs_plugin_basic

  plugin_platform:
    path: ../packages/cs_plugin_platform

  shared:
    path: ../packages/cs_shared

  cs_resources:
    path: ../packages/cs_resources

  router:
    path: ../packages/cs_router

  widgets:
    path: ../packages/cs_widgets

  #业务子组件的依赖
  cpt_auth:
    path: ../packages/cpt_auth

  cpt_uk:
    path: ../packages/cpt_uk

  cpt_vn:
    path: ../packages/cpt_vn

  cpt_sg:
    path: ../packages/cpt_sg

  cpt_nl:
    path: ../packages/cpt_nl

  cpt_ms:
    path: ../packages/cpt_ms

  cpt_th:
    path: ../packages/cpt_th

  initializer:
    path: ../packages/cs_initializer


  # 极光推送  https://github.com/jpush/jpush-flutter-plugin
#  jpush_flutter: 2.5.1

  #  https://pub-web.flutter-io.cn/packages/flutter_bugly
#  flutter_bugly: 0.4.4


#  开发环境依赖的库
dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^1.0.0

flutter:
  uses-material-design: true